Subject: bug#36894: Restore frameset focus and selectedness

From: Eli Zaretskii <[email-masked]>
Date: Mon, 12 Aug 2019 18:00:56 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 11 Aug 2019 23:51:54 +0300
> 
> >> 'last-focus-update' was added recently in Emacs 27.
> >
> > How is that relevant?
> 
> 'last-focus-update' could be used to put focus back to the same frame
> where it was before saving the desktop.
> 
> >> So this is a new feature that we could use now in the desktop
> >> to restore focus in the same frame where it was before.
> >
> > Selected frame and frame that has focus is not the same thing,
> > definitely not with an arbitrary window-manager.
> 
> Maybe then the desktop should save the selectedness as well.

You mean, restore last-focus-update?  If you add it to
desktop-globals-to-save, is it restored?

> > But I asked for a reproducible recipe, and I don't think you have
> > shown one.  Could you please do that?  I'd like to study it.
> 
> In your case above, if you save the frames is such order that
> the selected frame is not saved last, can you reproduce the problem?
> I see this problem often when the last frame is not selected.

How can this happen?  In my use, desktop is saved when I kill Emacs,
and in that case the selected frame is always the last one saved.

That's hwy I asked for a reproducible recipe: I think there are some
factors at work on your system which I don't understand.